Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class FlexSessionAwareSessionAuthenticationStrategy

    java.lang.Object
      org.springframework.flex.security3.FlexSessionAwareSessionAuthenticationStrategy

All Implemented Interfaces:
  SessionAuthenticationStrategy

    public class FlexSessionAwareSessionAuthenticationStrategy

extends Object
implements SessionAuthenticationStrategy

Delegating implementation of `SessionAuthenticationStrategy` that ensures proper handling of the `FlexSession` when session fixation protection is enabled.

Author:
  Jeremy Grelle

Constructor Summary
`FlexSessionAwareSessionAuthenticationStrategy(SessionAuthenticationStrategy delegate)`

Method Summary
`void` | `onAuthentication(Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexSessionAwareSessionAuthenticationStrategy

    public FlexSessionAwareSessionAuthenticationStrategy(SessionAuthenticationStrategy delegate)

Method Detail

### onAuthentication

    public void onAuthentication(Authentication authentication,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws SessionAuthenticationException

  Specified by:
    `onAuthentication` in interface `SessionAuthenticationStrategy`
  Throws:
    `SessionAuthenticationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.